<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>OfficeDrawing (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="OfficeDrawing (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/OfficeDrawing.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/usermodel/ObjectsPool.html"
               title="interface in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.HorizontalPositioning.html"
               title="enum in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/usermodel/OfficeDrawing.html"
               target="_top">Frames</a></li>
        <li><a href="OfficeDrawing.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwpf.usermodel</div>
    <h2 title="Interface OfficeDrawing" class="title">Interface OfficeDrawing</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">OfficeDrawing</span></pre>
                <div class="block">User-friendly interface to office drawing objects.
                    <p>
                        Some properties and enumeration constants description are quotes from the
                        following sources:
                    <ul>
                        <li>[MS-ODRAW] -- v20110608; Office Drawing Binary File Format; Copyright (c)
                            2011 Microsoft Corporation.
                    </ul>
                </div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Sergey Vladimirov (vlsergey {at} gmail {dot} com)</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Interface and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.HorizontalPositioning.html"
                                        title="enum in org.apache.poi.hwpf.usermodel">OfficeDrawing.HorizontalPositioning</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.HorizontalRelativeElement.html"
                                        title="enum in org.apache.poi.hwpf.usermodel">OfficeDrawing.HorizontalRelativeElement</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.VerticalPositioning.html"
                                        title="enum in org.apache.poi.hwpf.usermodel">OfficeDrawing.VerticalPositioning</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.VerticalRelativeElement.html"
                                        title="enum in org.apache.poi.hwpf.usermodel">OfficeDrawing.VerticalRelativeElement</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.HorizontalPositioning.html"
                                        title="enum in org.apache.poi.hwpf.usermodel">OfficeDrawing.HorizontalPositioning</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.html#getHorizontalPositioning--">getHorizontalPositioning</a></span>()</code>
                                    <div class="block">Returns the type of horizontal positioning to use for a shape
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.HorizontalRelativeElement.html"
                                        title="enum in org.apache.poi.hwpf.usermodel">OfficeDrawing.HorizontalRelativeElement</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.html#getHorizontalRelative--">getHorizontalRelative</a></span>()</code>
                                    <div class="block">Specifies a page element relative to which a shape is
                                        horizontally
                                        positioned
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                        title="class in org.apache.poi.ddf">EscherContainerRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.html#getOfficeArtSpContainer--">getOfficeArtSpContainer</a></span>()</code>
                                    <div class="block">Returns escher record that represent shape container (record type
                                        is
                                        <tt>0xF004</tt>).
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.html#getPictureData--">getPictureData</a></span>()</code>
                                    <div class="block">Returns picture data if this shape has (single?) associated
                                        picture data
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.html#getRectangleBottom--">getRectangleBottom</a></span>()</code>
                                    <div class="block">Bottom of the rectangle enclosing shape relative to the origin of
                                        the
                                        shape
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.html#getRectangleLeft--">getRectangleLeft</a></span>()</code>
                                    <div class="block">Left of rectangle enclosing shape relative to the origin of the
                                        shape
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.html#getRectangleRight--">getRectangleRight</a></span>()</code>
                                    <div class="block">Right of rectangle enclosing shape relative to the origin of the
                                        shape
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.html#getRectangleTop--">getRectangleTop</a></span>()</code>
                                    <div class="block">Top of rectangle enclosing shape relative to the origin of the
                                        shape
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.html#getShapeId--">getShapeId</a></span>()</code>
                                    <div class="block">Shape Identifier</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.VerticalPositioning.html"
                                        title="enum in org.apache.poi.hwpf.usermodel">OfficeDrawing.VerticalPositioning</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.html#getVerticalPositioning--">getVerticalPositioning</a></span>()</code>
                                    <div class="block">Specifies the type of vertical positioning to use for a shape
                                    </div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.VerticalRelativeElement.html"
                                        title="enum in org.apache.poi.hwpf.usermodel">OfficeDrawing.VerticalRelativeElement</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.html#getVerticalRelativeElement--">getVerticalRelativeElement</a></span>()</code>
                                    <div class="block">Specifies a page element relative to which a shape is vertically
                                        positioned
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getHorizontalPositioning--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHorizontalPositioning</h4>
                                <pre><a href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.HorizontalPositioning.html"
                                        title="enum in org.apache.poi.hwpf.usermodel">OfficeDrawing.HorizontalPositioning</a>&nbsp;getHorizontalPositioning()</pre>
                                <div class="block">Returns the type of horizontal positioning to use for a shape</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the type of horizontal positioning to use for a shape</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getHorizontalRelative--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHorizontalRelative</h4>
                                <pre><a href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.HorizontalRelativeElement.html"
                                        title="enum in org.apache.poi.hwpf.usermodel">OfficeDrawing.HorizontalRelativeElement</a>&nbsp;getHorizontalRelative()</pre>
                                <div class="block">Specifies a page element relative to which a shape is horizontally
                                    positioned
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a page element relative to which a shape is horizontally
                                        positioned
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getOfficeArtSpContainer--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOfficeArtSpContainer</h4>
                                <pre><a href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                        title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;getOfficeArtSpContainer()</pre>
                                <div class="block">Returns escher record that represent shape container (record type is
                                    <tt>0xF004</tt>). Returned record has a child with record type
                                    <tt>0xF00A</tt> and value of shape id equals to <a
                                            href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.html#getShapeId--"><code>getShapeId()</code></a>.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Returns office art shape container or <tt>null</tt> if not found</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPictureData--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPictureData</h4>
                                <pre>byte[]&nbsp;getPictureData()</pre>
                                <div class="block">Returns picture data if this shape has (single?) associated picture
                                    data
                                </div>
                            </li>
                        </ul>
                        <a name="getRectangleBottom--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRectangleBottom</h4>
                                <pre>int&nbsp;getRectangleBottom()</pre>
                                <div class="block">Bottom of the rectangle enclosing shape relative to the origin of the
                                    shape
                                </div>
                            </li>
                        </ul>
                        <a name="getRectangleLeft--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRectangleLeft</h4>
                                <pre>int&nbsp;getRectangleLeft()</pre>
                                <div class="block">Left of rectangle enclosing shape relative to the origin of the
                                    shape
                                </div>
                            </li>
                        </ul>
                        <a name="getRectangleRight--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRectangleRight</h4>
                                <pre>int&nbsp;getRectangleRight()</pre>
                                <div class="block">Right of rectangle enclosing shape relative to the origin of the
                                    shape
                                </div>
                            </li>
                        </ul>
                        <a name="getRectangleTop--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRectangleTop</h4>
                                <pre>int&nbsp;getRectangleTop()</pre>
                                <div class="block">Top of rectangle enclosing shape relative to the origin of the
                                    shape
                                </div>
                            </li>
                        </ul>
                        <a name="getShapeId--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getShapeId</h4>
                                <pre>int&nbsp;getShapeId()</pre>
                                <div class="block">Shape Identifier</div>
                            </li>
                        </ul>
                        <a name="getVerticalPositioning--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getVerticalPositioning</h4>
                                <pre><a href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.VerticalPositioning.html"
                                        title="enum in org.apache.poi.hwpf.usermodel">OfficeDrawing.VerticalPositioning</a>&nbsp;getVerticalPositioning()</pre>
                                <div class="block">Specifies the type of vertical positioning to use for a shape</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>return the type of vertical positioning to use for a shape</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getVerticalRelativeElement--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getVerticalRelativeElement</h4>
                                <pre><a href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.VerticalRelativeElement.html"
                                        title="enum in org.apache.poi.hwpf.usermodel">OfficeDrawing.VerticalRelativeElement</a>&nbsp;getVerticalRelativeElement()</pre>
                                <div class="block">Specifies a page element relative to which a shape is vertically
                                    positioned
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a page element relative to which a shape is vertically positioned</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/OfficeDrawing.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/usermodel/ObjectsPool.html"
               title="interface in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.HorizontalPositioning.html"
               title="enum in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/usermodel/OfficeDrawing.html"
               target="_top">Frames</a></li>
        <li><a href="OfficeDrawing.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
